Errno - Crystal 1.20.2

# enum Errno

##
Overview

Errno wraps and gives access to libc's errno. This is mostly useful when dealing with C libraries.

##
Defined in:

errno.cr

##
Enum Members

NONE = `0`
E2BIG = `7`
EPERM = `1`
ENOENT = `2`
ESRCH = `3`
EINTR = `4`
EIO = `5`
ENXIO = `6`
ENOEXEC = `8`
EBADF = `9`
ECHILD = `10`
EDEADLK = `11`
ENOMEM = `12`
EACCES = `13`
EFAULT = `14`
EBUSY = `16`
EEXIST = `17`
EXDEV = `18`
ENODEV = `19`
ENOTDIR = `20`
EISDIR = `21`
EINVAL = `22`
ENFILE = `23`
EMFILE = `24`
ENOTTY = `25`
ETXTBSY = `26`
EFBIG = `27`
ENOSPC = `28`
ESPIPE = `29`
EROFS = `30`
EMLINK = `31`
EPIPE = `32`
EDOM = `33`
ERANGE = `34`
EAGAIN = `35`
EWOULDBLOCK = `35`
EINPROGRESS = `36`
EALREADY = `37`
ENOTSOCK = `38`
EDESTADDRREQ = `39`
EMSGSIZE = `40`
EPROTOTYPE = `41`
ENOPROTOOPT = `42`
EPROTONOSUPPORT = `43`
EAFNOSUPPORT = `47`
EADDRINUSE = `48`
EADDRNOTAVAIL = `49`
ENETDOWN = `50`
ENETUNREACH = `51`
ENETRESET = `52`
ECONNABORTED = `53`
ECONNRESET = `54`
ENOBUFS = `55`
EISCONN = `56`
ENOTCONN = `57`
ETIMEDOUT = `60`
ECONNREFUSED = `61`
ELOOP = `62`
ENAMETOOLONG = `63`
EHOSTUNREACH = `65`
ENOTEMPTY = `66`
EDQUOT = `69`
ESTALE = `70`
ENOLCK = `77`
ENOSYS = `78`
EOVERFLOW = `84`
ECANCELED = `89`
EIDRM = `90`
ENOMSG = `91`
EILSEQ = `92`
EBADMSG = `94`
EMULTIHOP = `95`
ENODATA = `96`
ENOLINK = `97`
ENOSR = `98`
ENOSTR = `99`
EPROTO = `100`
ETIME = `101`
EOPNOTSUPP = `102`
ENOTRECOVERABLE = `104`
EOWNERDEAD = `105`

##
Constructors

- .value : self

  returns the value of libc's errno.

##
Class Method Summary

- .value=(errno : Errno)

  Sets the value of libc's errno.

##
Instance Method Summary

- #e2_big?

  Returns `true` if this enum value equals `E2BIG`

- #eacces?

  Returns `true` if this enum value equals `EACCES`

- #eaddrinuse?

  Returns `true` if this enum value equals `EADDRINUSE`

- #eaddrnotavail?

  Returns `true` if this enum value equals `EADDRNOTAVAIL`

- #eafnosupport?

  Returns `true` if this enum value equals `EAFNOSUPPORT`

- #eagain?

  Returns `true` if this enum value equals `EAGAIN`

- #ealready?

  Returns `true` if this enum value equals `EALREADY`

- #ebadf?

  Returns `true` if this enum value equals `EBADF`

- #ebadmsg?

  Returns `true` if this enum value equals `EBADMSG`

- #ebusy?

  Returns `true` if this enum value equals `EBUSY`

- #ecanceled?

  Returns `true` if this enum value equals `ECANCELED`

- #echild?

  Returns `true` if this enum value equals `ECHILD`

- #econnaborted?

  Returns `true` if this enum value equals `ECONNABORTED`

- #econnrefused?

  Returns `true` if this enum value equals `ECONNREFUSED`

- #econnreset?

  Returns `true` if this enum value equals `ECONNRESET`

- #edeadlk?

  Returns `true` if this enum value equals `EDEADLK`

- #edestaddrreq?

  Returns `true` if this enum value equals `EDESTADDRREQ`

- #edom?

  Returns `true` if this enum value equals `EDOM`

- #edquot?

  Returns `true` if this enum value equals `EDQUOT`

- #eexist?

  Returns `true` if this enum value equals `EEXIST`

- #efault?

  Returns `true` if this enum value equals `EFAULT`

- #efbig?

  Returns `true` if this enum value equals `EFBIG`

- #ehostunreach?

  Returns `true` if this enum value equals `EHOSTUNREACH`

- #eidrm?

  Returns `true` if this enum value equals `EIDRM`

- #eilseq?

  Returns `true` if this enum value equals `EILSEQ`

- #einprogress?

  Returns `true` if this enum value equals `EINPROGRESS`

- #eintr?

  Returns `true` if this enum value equals `EINTR`

- #einval?

  Returns `true` if this enum value equals `EINVAL`

- #eio?

  Returns `true` if this enum value equals `EIO`

- #eisconn?

  Returns `true` if this enum value equals `EISCONN`

- #eisdir?

  Returns `true` if this enum value equals `EISDIR`

- #eloop?

  Returns `true` if this enum value equals `ELOOP`

- #emfile?

  Returns `true` if this enum value equals `EMFILE`

- #emlink?

  Returns `true` if this enum value equals `EMLINK`

- #emsgsize?

  Returns `true` if this enum value equals `EMSGSIZE`

- #emultihop?

  Returns `true` if this enum value equals `EMULTIHOP`

- #enametoolong?

  Returns `true` if this enum value equals `ENAMETOOLONG`

- #enetdown?

  Returns `true` if this enum value equals `ENETDOWN`

- #enetreset?

  Returns `true` if this enum value equals `ENETRESET`

- #enetunreach?

  Returns `true` if this enum value equals `ENETUNREACH`

- #enfile?

  Returns `true` if this enum value equals `ENFILE`

- #enobufs?

  Returns `true` if this enum value equals `ENOBUFS`

- #enodata?

  Returns `true` if this enum value equals `ENODATA`

- #enodev?

  Returns `true` if this enum value equals `ENODEV`

- #enoent?

  Returns `true` if this enum value equals `ENOENT`

- #enoexec?

  Returns `true` if this enum value equals `ENOEXEC`

- #enolck?

  Returns `true` if this enum value equals `ENOLCK`

- #enolink?

  Returns `true` if this enum value equals `ENOLINK`

- #enomem?

  Returns `true` if this enum value equals `ENOMEM`

- #enomsg?

  Returns `true` if this enum value equals `ENOMSG`

- #enoprotoopt?

  Returns `true` if this enum value equals `ENOPROTOOPT`

- #enospc?

  Returns `true` if this enum value equals `ENOSPC`

- #enosr?

  Returns `true` if this enum value equals `ENOSR`

- #enostr?

  Returns `true` if this enum value equals `ENOSTR`

- #enosys?

  Returns `true` if this enum value equals `ENOSYS`

- #enotconn?

  Returns `true` if this enum value equals `ENOTCONN`

- #enotdir?

  Returns `true` if this enum value equals `ENOTDIR`

- #enotempty?

  Returns `true` if this enum value equals `ENOTEMPTY`

- #enotrecoverable?

  Returns `true` if this enum value equals `ENOTRECOVERABLE`

- #enotsock?

  Returns `true` if this enum value equals `ENOTSOCK`

- #enotty?

  Returns `true` if this enum value equals `ENOTTY`

- #enxio?

  Returns `true` if this enum value equals `ENXIO`

- #eopnotsupp?

  Returns `true` if this enum value equals `EOPNOTSUPP`

- #eoverflow?

  Returns `true` if this enum value equals `EOVERFLOW`

- #eownerdead?

  Returns `true` if this enum value equals `EOWNERDEAD`

- #eperm?

  Returns `true` if this enum value equals `EPERM`

- #epipe?

  Returns `true` if this enum value equals `EPIPE`

- #eproto?

  Returns `true` if this enum value equals `EPROTO`

- #eprotonosupport?

  Returns `true` if this enum value equals `EPROTONOSUPPORT`

- #eprototype?

  Returns `true` if this enum value equals `EPROTOTYPE`

- #erange?

  Returns `true` if this enum value equals `ERANGE`

- #erofs?

  Returns `true` if this enum value equals `EROFS`

- #espipe?

  Returns `true` if this enum value equals `ESPIPE`

- #esrch?

  Returns `true` if this enum value equals `ESRCH`

- #estale?

  Returns `true` if this enum value equals `ESTALE`

- #etime?

  Returns `true` if this enum value equals `ETIME`

- #etimedout?

  Returns `true` if this enum value equals `ETIMEDOUT`

- #etxtbsy?

  Returns `true` if this enum value equals `ETXTBSY`

- #ewouldblock?

  Returns `true` if this enum value equals `EWOULDBLOCK`

- #exdev?

  Returns `true` if this enum value equals `EXDEV`

- #message : String

  Returns the system error message associated with this errno.

- #none?

  Returns `true` if this enum value equals `NONE`

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i128 : Int128 to_i128, to_i128! : Int128 to_i128!, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) : Nil to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u128 : UInt128 to_u128, to_u128! : UInt128 to_u128!, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) : self new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Macros inherited from struct `Enum`

[](*values) [], flags(*values) flags

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : Log::Metadata::Value)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.value : self #

returns the value of libc's errno.

##
Class Method Detail

def self.value=(errno : Errno) #

Sets the value of libc's errno.

##
Instance Method Detail

def e2_big? #

Returns `true` if this enum value equals `E2BIG`

def eacces? #

Returns `true` if this enum value equals `EACCES`

def eaddrinuse? #

Returns `true` if this enum value equals `EADDRINUSE`

def eaddrnotavail? #

Returns `true` if this enum value equals `EADDRNOTAVAIL`

def eafnosupport? #

Returns `true` if this enum value equals `EAFNOSUPPORT`

def eagain? #

Returns `true` if this enum value equals `EAGAIN`

def ealready? #

Returns `true` if this enum value equals `EALREADY`

def ebadf? #

Returns `true` if this enum value equals `EBADF`

def ebadmsg? #

Returns `true` if this enum value equals `EBADMSG`

def ebusy? #

Returns `true` if this enum value equals `EBUSY`

def ecanceled? #

Returns `true` if this enum value equals `ECANCELED`

def echild? #

Returns `true` if this enum value equals `ECHILD`

def econnaborted? #

Returns `true` if this enum value equals `ECONNABORTED`

def econnrefused? #

Returns `true` if this enum value equals `ECONNREFUSED`

def econnreset? #

Returns `true` if this enum value equals `ECONNRESET`

def edeadlk? #

Returns `true` if this enum value equals `EDEADLK`

def edestaddrreq? #

Returns `true` if this enum value equals `EDESTADDRREQ`

def edom? #

Returns `true` if this enum value equals `EDOM`

def edquot? #

Returns `true` if this enum value equals `EDQUOT`

def eexist? #

Returns `true` if this enum value equals `EEXIST`

def efault? #

Returns `true` if this enum value equals `EFAULT`

def efbig? #

Returns `true` if this enum value equals `EFBIG`

def ehostunreach? #

Returns `true` if this enum value equals `EHOSTUNREACH`

def eidrm? #

Returns `true` if this enum value equals `EIDRM`

def eilseq? #

Returns `true` if this enum value equals `EILSEQ`

def einprogress? #

Returns `true` if this enum value equals `EINPROGRESS`

def eintr? #

Returns `true` if this enum value equals `EINTR`

def einval? #

Returns `true` if this enum value equals `EINVAL`

def eio? #

Returns `true` if this enum value equals `EIO`

def eisconn? #

Returns `true` if this enum value equals `EISCONN`

def eisdir? #

Returns `true` if this enum value equals `EISDIR`

def eloop? #

Returns `true` if this enum value equals `ELOOP`

def emfile? #

Returns `true` if this enum value equals `EMFILE`

def emlink? #

Returns `true` if this enum value equals `EMLINK`

def emsgsize? #

Returns `true` if this enum value equals `EMSGSIZE`

def emultihop? #

Returns `true` if this enum value equals `EMULTIHOP`

def enametoolong? #

Returns `true` if this enum value equals `ENAMETOOLONG`

def enetdown? #

Returns `true` if this enum value equals `ENETDOWN`

def enetreset? #

Returns `true` if this enum value equals `ENETRESET`

def enetunreach? #

Returns `true` if this enum value equals `ENETUNREACH`

def enfile? #

Returns `true` if this enum value equals `ENFILE`

def enobufs? #

Returns `true` if this enum value equals `ENOBUFS`

def enodata? #

Returns `true` if this enum value equals `ENODATA`

def enodev? #

Returns `true` if this enum value equals `ENODEV`

def enoent? #

Returns `true` if this enum value equals `ENOENT`

def enoexec? #

Returns `true` if this enum value equals `ENOEXEC`

def enolck? #

Returns `true` if this enum value equals `ENOLCK`

def enolink? #

Returns `true` if this enum value equals `ENOLINK`

def enomem? #

Returns `true` if this enum value equals `ENOMEM`

def enomsg? #

Returns `true` if this enum value equals `ENOMSG`

def enoprotoopt? #

Returns `true` if this enum value equals `ENOPROTOOPT`

def enospc? #

Returns `true` if this enum value equals `ENOSPC`

def enosr? #

Returns `true` if this enum value equals `ENOSR`

def enostr? #

Returns `true` if this enum value equals `ENOSTR`

def enosys? #

Returns `true` if this enum value equals `ENOSYS`

def enotconn? #

Returns `true` if this enum value equals `ENOTCONN`

def enotdir? #

Returns `true` if this enum value equals `ENOTDIR`

def enotempty? #

Returns `true` if this enum value equals `ENOTEMPTY`

def enotrecoverable? #

Returns `true` if this enum value equals `ENOTRECOVERABLE`

def enotsock? #

Returns `true` if this enum value equals `ENOTSOCK`

def enotty? #

Returns `true` if this enum value equals `ENOTTY`

def enxio? #

Returns `true` if this enum value equals `ENXIO`

def eopnotsupp? #

Returns `true` if this enum value equals `EOPNOTSUPP`

def eoverflow? #

Returns `true` if this enum value equals `EOVERFLOW`

def eownerdead? #

Returns `true` if this enum value equals `EOWNERDEAD`

def eperm? #

Returns `true` if this enum value equals `EPERM`

def epipe? #

Returns `true` if this enum value equals `EPIPE`

def eproto? #

Returns `true` if this enum value equals `EPROTO`

def eprotonosupport? #

Returns `true` if this enum value equals `EPROTONOSUPPORT`

def eprototype? #

Returns `true` if this enum value equals `EPROTOTYPE`

def erange? #

Returns `true` if this enum value equals `ERANGE`

def erofs? #

Returns `true` if this enum value equals `EROFS`

def espipe? #

Returns `true` if this enum value equals `ESPIPE`

def esrch? #

Returns `true` if this enum value equals `ESRCH`

def estale? #

Returns `true` if this enum value equals `ESTALE`

def etime? #

Returns `true` if this enum value equals `ETIME`

def etimedout? #

Returns `true` if this enum value equals `ETIMEDOUT`

def etxtbsy? #

Returns `true` if this enum value equals `ETXTBSY`

def ewouldblock? #

Returns `true` if this enum value equals `EWOULDBLOCK`

def exdev? #

Returns `true` if this enum value equals `EXDEV`

def message : String #

Returns the system error message associated with this errno.

NOTE The result may depend on the current system locale. Specs and comparisons should use `#value` instead of this method.

def none? #

Returns `true` if this enum value equals `NONE`